/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * IIPD.hpp
 *
 *  Created on: 2011/03/01
 *      Author: HARK Development Team
 */

#ifndef IIPD_HPP_
#define IIPD_HPP_

#include <vector>

namespace NSHarkBinaural
{

/**
 * 両耳間強度差または位相差を表す構造体.
 */
struct IIPD
{
    //int rdir;  // robot direction : degree (world coordinates)
    //int dir;   // sound direction : degree (robot coordinates)
    //size_t nfreq;      // NFFT/2+1
    //int *n;       // number of samples [nfreq]
    std::vector<double> m;    // average           [nfreq]
    //double *v;    // variance: v = e(x^2) - (e(x))^2; [nfreq]
};

}

#endif /* IIPD_HPP_ */
